org.gnome.gtk

## Interface Notebook.SwitchPage

- Enclosing class:
    Notebook

      public static interface Notebook.SwitchPage

  The signal emitted when the user or the program switches to a new page.

  Use this in preference to `Notebook.ChangeCurrentPage`.

  Since:
    4.0.10
  Author:
    Stefan Schweizer

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onSwitchPage(Notebook source, int pageNum)` Callback received when the page showing in the Notebook changes.

- - ### Method Detail

    - #### onSwitchPage

          void onSwitchPage(Notebook source,
                          int pageNum)

      Callback received when the page showing in the Notebook changes. Values of the page number parameter start from 0.